Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.util.normalize.target
Class NormalizationStorageArray2D

    java.lang.Object
      org.encog.util.normalize.target.NormalizationStorageArray2D

All Implemented Interfaces:
  Serializable, NormalizationStorage

    public class NormalizationStorageArray2D

extends Object
implements NormalizationStorage

Output the normalized data to a 2D array.

See Also:
  Serialized Form

Constructor Summary
`NormalizationStorageArray2D()`
`NormalizationStorageArray2D(double[][] array)` Construct an object to store to a 2D array.

Method Summary
`void` | `close()` Not needed for this storage type.
`double[][]` | `getArray()`
`void` | `open(DataNormalization norm)` Not needed for this storage type.
`void` | `write(double[] data, int inputCount)` Write an array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NormalizationStorageArray2D

    public NormalizationStorageArray2D(double[][] array)

  Construct an object to store to a 2D array.

  Parameters:
    `array` - The array to store to.

### NormalizationStorageArray2D

    public NormalizationStorageArray2D()

Method Detail

### close

    public void close()

  Not needed for this storage type.

  Specified by:
    `close` in interface `NormalizationStorage`

### open

    public void open(DataNormalization norm)

  Not needed for this storage type.

  Specified by:
    `open` in interface `NormalizationStorage`

### write

    public void write(double[] data,
                      int inputCount)

  Write an array.

  Specified by:
    `write` in interface `NormalizationStorage`
  Parameters:
    `data` - The data to write.
    `inputCount` - How much of the data is input.

### getArray

    public double[][] getArray()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.